org.eclipse.viatra.query.runtime.rete.eval

## Class CachedPredicateEvaluatorNode

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.network.BaseNode
  - - org.eclipse.viatra.query.runtime.rete.network.StandardNode
    - - org.eclipse.viatra.query.runtime.rete.single.SingleInputNode
      - - org.eclipse.viatra.query.runtime.rete.eval.AbstractEvaluatorNode
        - - org.eclipse.viatra.query.runtime.rete.eval.OutputCachingEvaluatorNode
          - - org.eclipse.viatra.query.runtime.rete.eval.CachedPredicateEvaluatorNode

- All Implemented Interfaces:
    IEvaluatorNode, Node, Receiver, Supplier, Tunnel, Clearable

  Deprecated.
  Use `OutputCachingEvaluatorNode` (non-abstract since 1.5) with `EvaluationCore`.

      @Deprecated
      public class CachedPredicateEvaluatorNode
      extends OutputCachingEvaluatorNode

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.eval.AbstractEvaluatorNode

      `core, evaluator, logger, runtimeContext`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.single.SingleInputNode

      `mailbox, parent`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.network.StandardNode

      `children`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `nodeId, reteContainer, tag, traceInfos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedPredicateEvaluatorNode(ReteContainer reteContainer, org.apache.log4j.Logger logger, IExpressionEvaluator evaluator, java.util.Map<java.lang.String,java.lang.Integer> parameterPositions, int sourceTupleWidth)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `logNodeName()` Deprecated. use `EvaluationCore`
    `protected Tuple` | `tupleFromResult(Tuple incoming, java.lang.Object evaluationresult)` Deprecated. use `EvaluationCore`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.eval.OutputCachingEvaluatorNode

      `clear, pullInto, update`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.eval.AbstractEvaluatorNode

      `errorResult, evaluateTerm, getReteContainer, prettyPrintTraceInfoPatternList, prettyPrintTuple`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.single.SingleInputNode

      `appendParent, assignTraceInfo, getMailbox, getParents, instantiateMailbox, propagatePullInto, removeParent`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.network.StandardNode

      `appendChild, constructIndex, getPulledContents, getReceivers, issueError, propagateUpdate, removeChild`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfoPatternsEnumerated, getTraceInfos, setTag, toString, toStringCore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Supplier

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### CachedPredicateEvaluatorNode

          public CachedPredicateEvaluatorNode(ReteContainer reteContainer,
                                              org.apache.log4j.Logger logger,
                                              IExpressionEvaluator evaluator,
                                              java.util.Map<java.lang.String,java.lang.Integer> parameterPositions,
                                              int sourceTupleWidth)

      Deprecated.

  - ### Method Detail

    - #### tupleFromResult

          @Deprecated
          protected Tuple tupleFromResult(Tuple incoming,
                                                      java.lang.Object evaluationresult)

      Deprecated. use `EvaluationCore`
      Overrides:
        `tupleFromResult` in class `OutputCachingEvaluatorNode`

    - #### logNodeName

          @Deprecated
          protected java.lang.String logNodeName()

      Deprecated. use `EvaluationCore`
      Overrides:
        `logNodeName` in class `OutputCachingEvaluatorNode`